# stat Struct Reference

`#include <kern_descrip.h>`

## Data Fields

long | __st_atimensec
long | __st_ctimensec
long | __st_mtimensec
unsigned | int:(8 / 2) * (16 - (int)sizeof(struct __timespec))
time_t | st_atime
time_t | st_birthtime
long | st_birthtimensec
blksize_t | st_blksize
blkcnt_t | st_blocks
time_t | st_ctime
__dev_t | st_dev
fflags_t | st_flags
__uint32_t | st_gen
gid_t | st_gid
ino_t | st_ino
__int32_t | st_lspare
mode_t | st_mode
time_t | st_mtime
nlink_t | st_nlink
__dev_t | st_rdev
off_t | st_size
uid_t | st_uid

## Detailed Description

Definition at line 105 of file kern_descrip.h.

## Field Documentation

long stat::__st_atimensec

Definition at line 119 of file kern_descrip.h.

long stat::__st_ctimensec

Definition at line 123 of file kern_descrip.h.

long stat::__st_mtimensec

Definition at line 121 of file kern_descrip.h.

unsigned stat::int

Definition at line 146 of file kern_descrip.h.

time_t stat::st_atime

Definition at line 118 of file kern_descrip.h.

time_t stat::st_birthtime

Definition at line 144 of file kern_descrip.h.

long stat::st_birthtimensec

Definition at line 145 of file kern_descrip.h.

blksize_t stat::st_blksize

Definition at line 127 of file kern_descrip.h.

Referenced by fstat().

blkcnt_t stat::st_blocks

Definition at line 126 of file kern_descrip.h.

time_t stat::st_ctime

Definition at line 122 of file kern_descrip.h.

__dev_t stat::st_dev

Definition at line 106 of file kern_descrip.h.

fflags_t stat::st_flags

Definition at line 128 of file kern_descrip.h.

__uint32_t stat::st_gen

Definition at line 129 of file kern_descrip.h.

gid_t stat::st_gid

Definition at line 111 of file kern_descrip.h.

ino_t stat::st_ino

Definition at line 107 of file kern_descrip.h.

__int32_t stat::st_lspare

Definition at line 130 of file kern_descrip.h.

mode_t stat::st_mode

Definition at line 108 of file kern_descrip.h.

Referenced by fstat().

time_t stat::st_mtime

Definition at line 120 of file kern_descrip.h.

nlink_t stat::st_nlink

Definition at line 109 of file kern_descrip.h.

__dev_t stat::st_rdev

Definition at line 112 of file kern_descrip.h.

off_t stat::st_size

Definition at line 125 of file kern_descrip.h.

uid_t stat::st_uid

Definition at line 110 of file kern_descrip.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/kern_descrip.h